Retrieve all Instances

View as Markdown

Get all Instances for Tenant.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

infrastructureProviderIdstringOptionalformat: "uuid"Deprecated

Filter by Infrastructure Provider ID. Deprecated: Instances will no longer be filtered by Infrastructure Provider; results are scoped to the org’s Tenant. Use the siteId parameter to scope results to a specific Infrastructure Provider’s Sites.

siteIdstringOptionalformat: "uuid"
Filter by Site ID. Can be specified multiple times to filter on more than one site.
vpcIdstringOptionalformat: "uuid"
Filter by VPC ID. Can be specified multiple times to filter on more than one VPC.
instanceTypeIdstringOptionalformat: "uuid"
Filter by instance type ID. Can be specified multiple times to filter on more than one instance type.
operatingSystemIdstringOptionalformat: "uuid"
Filter by operating system ID. Can be specified multiple times to filter on more than one operating system.
machineIdstringOptional
Filter by machine ID. Can be specified multiple times to filter on more than one machine.
namestringOptional
Filter by Instance name
statusstringOptional
Filter Instances by Status. Can be specified multiple times to filter on more than one status.
ipAddressstringOptional
Filter by IP address. Can be specified multiple times to filter on more than one IP address.
querystringOptional
Search for matches across all Instances. Input will be matched against name, description, status, and labels fields
includeRelationenumOptional
Related entity to expand
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query
networkSecurityGroupIdstringOptional
Filter by Network Security Group ID. Can be specified multiple times to filter on more than one Network Security Group.

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique identifier for the Instance
namestringOptional2-256 characters
Name for the Instance
descriptionstring or nullOptional
Description for the Instance
tenantIdstringOptionalformat: "uuid"
ID of the Tenant the Instance belongs to
infrastructureProviderIdstringOptionalformat: "uuid"
ID of the Infrastructure Provider that owns the Site where the Instance is located
siteIdstringOptionalformat: "uuid"
ID of the Site where the Instance is located
instanceTypeIdstring or nullOptionalformat: "uuid"
ID of the Instance Type
vpcIdstringOptionalformat: "uuid"
ID of the VPC
secondaryVpcIdslist of stringsOptional

IDs of VPCs attached to the Instance through non-primary interfaces

machineIdstring or nullOptional
ID of the Machine
operatingSystemIdstring or nullOptionalformat: "uuid"
ID of the Operating System
networkSecurityGroupIdstring or nullOptional
ID of the attached Network Security Group, if any
powerProfilestring or nullOptional
External power provisioning profile associated with the Instance.
networkSecurityGroupPropagationDetailsobjectOptional
Propagation details for the attached Network Security Group
networkSecurityGroupInheritedbooleanOptional
Indicates if the Network Security Group is inherited from VPC
controllerInstanceIdstring or nullOptionalformat: "uuid"
ID of the Instance in Site Controller
ipxeScriptstring or nullOptional
Attribute which is inherited from Operating System
alwaysBootWithCustomIpxebooleanOptional
Indicates whether the Instance should always execute custom iPXE script when rebooting
phoneHomeEnabledbooleanOptional
Indicates whether the Phone Home service should be enabled or disabled for the Instance
userDatastring or nullOptional
UserData is inherited from Operating System or specified by user if allowed
labelsmap from strings to stringsOptional

User-specified Instance labels

isUpdatePendingbooleanOptional
Indicates whether an update is available for the Instance. Updates can be applied on reboot
serialConsoleUrlstring or nullOptional

Serial Console URL for the Instance. Format: ssh://<id>@siteSerialConsoleHostname

autoNetworkbooleanOptional

True when this Instance uses NICo auto-resolved networking from the host’s underlay (HostInband) network segments. When true, the caller’s request interfaces list was empty, this interfaces field remains empty on readback, and the resolved per-interface details surface under status.network.interfaces.

interfaceslist of objectsOptional
Interfaces are list of the subnet associated with the Instance
infinibandInterfaceslist of objectsOptional
InfiniBandInterfaces are list of the InfiniBandInterface associated with the Instance
spectrumXAttachmentslist of objectsOptional
SpectrumXAttachments are list of the SpectrumXAttachment associated with the Instance
nvLinkInterfaceslist of objectsOptional
NVLinkInterfaces are list of the NVLinkInterface associated with the Instance
dpuExtensionServiceDeploymentslist of objectsOptional
DPU Extension Services deployed on DPUs of this Instance
sshKeyGroupIdslist of stringsOptional
IDs of SSH Key Groups associated with this Instance
sshKeyGroupslist of objectsOptional
IDs of SSH Key Groups associated with this Instance
tpmEkCertificatestring or nullOptional
base64 encoded TPM EK Certificate associated with this Instance
statusenumOptional
Status of the Instance
statusHistorylist of objectsOptional
Chronological status history for the Instance
deprecationslist of objectsOptional
Deprecations active for this resource. Returned only if there are active deprecations.
createddatetimeOptionalRead-only

Date/time when the Instance was created

updateddatetimeOptionalRead-only

Date/time when the Instance was last updated

Errors

403
Forbidden Error